//*****************************************************************************
//*
//*		
//*		DevelopmentSwitcher.cpp 
//*		
//*
//*****************************************************************************
#include "StdAfx.h"
#include "DevelopmentSwitcher.h"
#include "DevelopmentSwitcherDlg.h"
#include "SelectDialog.h"

#ifdef		_DEBUG
#define new  DEBUG_NEW
#undef		 THIS_FILE
static char  THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CDevelopmentSwitcherApp, CWinApp)
	//{{AFX_MSG_MAP(CDevelopmentSwitcherApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

#ifndef 	PROCESS_QUERY_LIMITED_INFORMATION
#define		PROCESS_QUERY_LIMITED_INFORMATION	0x1000
#endif 	


CDevelopmentSwitcherApp theApp;

//*****************************************************************************
//*
//*		GetProcessInfo
//*
//*****************************************************************************
BOOL GetProcessInfo(DWORD dwProcessId,char *pName,DWORD dwSize)
{
typedef BOOL  (WINAPI *LPFN_ISWOW64PROCESS)(HANDLE, PBOOL);
typedef DWORD (WINAPI *GETMODULEFILENAMEEX)(HANDLE,HMODULE,LPTSTR,LPDWORD);
GETMODULEFILENAMEEX	 GetName = 0;
LPFN_ISWOW64PROCESS  IsWow64 = 0;
HANDLE				 hHandle = 0;	
int					 iIs64Bit= 0;

	
	iIs64Bit = 0;
	pName[0] = 0;
									
		hHandle=OpenProcess(PROCESS_QUERY_INFORMATION,0,dwProcessId);
	if(!hHandle)
		{
			hHandle=OpenProcess(PROCESS_QUERY_LIMITED_INFORMATION,0,dwProcessId);
		if(!hHandle)
			{
			return 0;
			}
		}


	   GetName = (GETMODULEFILENAMEEX)GetProcAddress(GetModuleHandleA("kernel32"),"QueryFullProcessImageNameA");
	if(GetName)
		{
		GetName(hHandle,NULL,pName,&dwSize);
		}


		IsWow64 = (LPFN_ISWOW64PROCESS)GetProcAddress(GetModuleHandleA("kernel32"),"IsWow64Process");
	if(!IsWow64)
		{
		CloseHandle(hHandle);
		return 0;
		}



	IsWow64(hHandle,&iIs64Bit);
	iIs64Bit = (iIs64Bit)? 0:1;
	CloseHandle(hHandle);


return iIs64Bit;
}

//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CDevelopmentSwitcherApp::CDevelopmentSwitcherApp()
{
}


//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
BOOL CDevelopmentSwitcherApp::InitInstance()
{
char   *pParam;
char   *pValueP;
char   *pValueE;
int		iStart;
int		iForce;
int		i;



	AfxEnableControlContainer();

	#ifdef _AFXDLL
	Enable3dControls();			
	#else
	Enable3dControlsStatic();	
	#endif

	iForce	= 0;
	iStart	= 0;
	pValueP	= "";
	pValueE = "";
	
	for(i=1;i<__argc;i++)
		{
		pParam = __argv[i];
		
		if(pParam[0]=='-' || pParam[0]=='/')
		if(pParam[1]=='d' || pParam[1]=='D')
			{
			iStart = i;
			continue;
			}
		
		if(pParam[0]=='-' || pParam[0]=='/')
		if(pParam[1]=='p' || pParam[1]=='P')
			{
			iForce = 1;
			i++;
			if(i>=__argc)break;
			pValueP = __argv[i];
			continue;
			}

		if(pParam[0]=='-' || pParam[0]=='/')
		if(pParam[1]=='e' || pParam[1]=='E')
			{
			iForce = 1;
			i++;
			if(i>=__argc)break;
			pValueE = __argv[i];
			continue;
			}
		}


	
	if(iStart || iForce)
		{
		char			cExe[256]="";
		char			cTxt[256];
		HINSTANCE		hStartInst;
		CSelectDialog	sSelDlg;
		CStartProg		sStart;
		CString			sPath;
		CString			sText;
		CRegKeys		sKeyU;
		CRegKeys		sKey;
		DWORD			uErr;
		int				iLen;
		int				iOk;




		if(GetProcessInfo(strtoi(pValueP),cExe,sizeof(cExe)))
			{
			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_READ|CRK_WOW64_64KEY);
			sKey.Get(sPath,"Debugger.NET");
			iOk = IDSELJIT;
			}
		else{
			sKeyU.Open(HKEY_CURRENT_USER,"SOFTWARE\\AZ\\DevelopmentSwitcher");
			sKey .Get (sSelDlg.m_iDefaultButton,"DebuggerLast");

			if(strifind(cExe,"DevelopmentSwitcher")>=0)
				{
				return FALSE;
				}

			sSelDlg.m_sPath = cExe;
			sSelDlg.m_sInfoText.Format("ProzessID = %s    %s",pValueP,cExe);
			iOk = sSelDlg.DoModal();

			if(iOk==IDCANCEL)return FALSE;

			sKey .Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_READ|CRK_WOW64_64KEY);
			sKey .Get(sPath,(iOk==IDOK)? "DebuggerVC60":"Debugger.NET");
			sKeyU.Set((iOk==IDOK)? 0:1,"DebuggerLast");
			}

		if(sPath.IsEmpty())
			{
			sText.Format("Der %s ist nicht registiert !",(iOk==IDOK)? "DebuggerVC60":"Debugger.NET",(LPCSTR)sPath);
			MessageBox(0,sText,"Fehler",MB_OK|MB_ICONERROR);
			}


		for(i=1,iLen=0;i<__argc;i++)
			{
			if(i==iStart)continue;
			pParam = __argv[i];
			sStart.SetParam(pParam);
			iLen  += sprintf(cTxt+iLen,"%s\"%s\"",(i==1)? "":" ",pParam);
			}
		

		if(IsWin64Bit() && ExistFile(sPath)!=1)
			{
			WinWowRedirect(1);
			}

		
		if(!sStart.Start(sPath,CSP_WAIT))
			{
			uErr	   = GetLastError();	
			hStartInst = ShellExecute(GetDesktopWindow(),"runas",sPath,cTxt,NULL,SW_SHOW);

			if((DWORD_PTR)hStartInst<32)
				{
				sText.Format("Der %s in '%s' konnte nicht gestartet werden !\nerr=%i/%i",(iOk==IDOK)? "DebuggerVC60":"Debugger.NET",(LPCSTR)sPath,uErr,(DWORD)hStartInst);
				MessageBox(0,sText,"Fehler",MB_OK|MB_ICONERROR);
				}
			}

		return FALSE;
		}


	CDevelopmentSwitcherDlg sDlg;
	
	m_pMainWnd = &sDlg;
	sDlg.DoModal();


return FALSE;
}
