//*****************************************************************************
//*
//*
//*		DevelopmentSwitcherDlg.cpp
//*
//*
//*****************************************************************************
#include "StdAfx.h"
#include "RegConfig.h"
#include "DevelopmentSwitcher.h"
#include "DevelopmentSwitcherDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CDevelopmentSwitcherDlg, CDialog)
	//{{AFX_MSG_MAP(CDevelopmentSwitcherDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_QUERYDRAGICON()
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

#define 	DEV_60		0
#define 	DEV_2003	1
#define 	DEV_2005	2
#define 	DEV_2008	3
#define 	DEV_2010	4
#define 	DEV_2012	5
#define 	DEV_2013	6
#define 	DEV_2015	7
#define 	DEV_2005_EX	8
#define 	DEV_2008_EX	9
#define 	DEV_2010_EX	10
#define 	DEV_2012_EX	11
#define 	DEV_2013_EX	12
#define 	DEV_2015_EX	13
#define 	DEV_NONE	14
#define 	DEV_SELECT	15

unsigned	aIdDevNone  []	= {IDC_RADIOA0 ,IDC_RADIOB0 ,IDC_RADIOC0 ,0};
unsigned	aIdDev60    []	= {IDC_RADIOA1 ,IDC_RADIOB1 ,IDC_RADIOC1 ,0};
unsigned	aIdDev2003  []	= {IDC_RADIOA2 ,IDC_RADIOB2 ,IDC_RADIOC2 ,0};
unsigned	aIdDev2005  []	= {IDC_RADIOA3 ,IDC_RADIOB3 ,IDC_RADIOC3 ,0};
unsigned	aIdDev2008  []	= {IDC_RADIOA4 ,IDC_RADIOB4 ,IDC_RADIOC4 ,0};
unsigned	aIdDev2010  []	= {IDC_RADIOA5 ,IDC_RADIOB5 ,IDC_RADIOC5 ,0};
unsigned	aIdDev2012  []	= {IDC_RADIOA6 ,IDC_RADIOB6 ,IDC_RADIOC6 ,0};
unsigned	aIdDev2013  []	= {IDC_RADIOA7 ,IDC_RADIOB7 ,IDC_RADIOC7 ,0};
unsigned	aIdDev2015  []	= {IDC_RADIOA8 ,IDC_RADIOB8 ,IDC_RADIOC8 ,0};
unsigned	aIdDev2005Ex[]	= {IDC_RADIOA9 ,IDC_RADIOB9 ,IDC_RADIOC9 ,0};
unsigned	aIdDev2008Ex[]	= {IDC_RADIOA10,IDC_RADIOB10,IDC_RADIOC10,0};
unsigned	aIdDev2010Ex[]	= {IDC_RADIOA11,IDC_RADIOB11,IDC_RADIOC11,0};
unsigned	aIdDev2012Ex[]	= {IDC_RADIOA12,IDC_RADIOB12,IDC_RADIOC12,0};
unsigned	aIdDev2013Ex[]	= {IDC_RADIOA13,IDC_RADIOB13,IDC_RADIOC13,0};
unsigned	aIdDev2015Ex[]	= {IDC_RADIOA14,IDC_RADIOB14,IDC_RADIOC14,0};
unsigned	aIdDevSelect[]	= {IDC_RADIOAX,0};

//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CDevelopmentSwitcherDlg::CDevelopmentSwitcherDlg(CWnd *pParent)	: CDialog(CDevelopmentSwitcherDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CDevelopmentSwitcherDlg)
	m_iDebug  = DEV_NONE;
	m_iDspDsw = DEV_NONE;
	m_iCppHpp = DEV_NONE;
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDevelopmentSwitcherDlg)
	DDX_Radio(pDX, IDC_RADIOA1,m_iDebug );
	DDX_Radio(pDX, IDC_RADIOB1,m_iDspDsw);
	DDX_Radio(pDX, IDC_RADIOC1,m_iCppHpp);
	//}}AFX_DATA_MAP
}



//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CDevelopmentSwitcherDlg::OnInitDialog()
{
char		cText[MAX_PATH];
char		cCmd[256];
CString		sDebugger;
CRegKeys	sKey;
const char *pStr;
int			iLen;
int			iOk;
int			i;

	
	memset(m_aVcExist,0,sizeof(m_aVcExist));


//******************** Hole Installations Pfade *******************************


	iOk = 1;

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\6.0",CRK_READ|CRK_WOW64_32KEY);
	if(!sKey.Get(m_sVc60Path,"InstallDir") || ExistFile(m_sVc60Path)!=2)
		{
			sKey.Open(HKEY_CURRENT_USER,"SOFTWARE\\Microsoft\\DevStudio\\6.0\\Directories",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get(m_sVc60Path,"Install Dirs"))
			{
			iOk = 0;
			}
		}

	if(ExistFile(m_sVc60Path)!=2 || !iOk)
		{
		m_sVc60Path = "";
		EnableWindow(aIdDev60,FALSE);
		if(m_iDebug ==DEV_60)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_60)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_60)m_iCppHpp = DEV_NONE;
		}
	else{
		AddBackSlash(m_sVc60Path);
		m_sVc60Path += "..\\..\\IDE\\IDE98";
		m_aVcExist[DEV_60] = 1;
		}



	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\7.2",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2003Path,"InstallDir");

	if(m_sVc2003Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\7.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2003Path,"InstallDir");
		}

	if(m_sVc2003Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\7.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2003Path,"InstallDir");
		}

	if(m_sVc2003Path=="" || ExistFile(m_sVc2003Path)!=2)
		{
		m_sVc2003Path = "";
		EnableWindow(aIdDev2003,FALSE);
		if(m_iDebug ==DEV_2003)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2003)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2003)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2003] = 1;
		}



	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\8.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2005Path,"InstallDir");

	if(m_sVc2005Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\8.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2005Path,"InstallDir");
		}

	if(m_sVc2005Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\8.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2005Path,"InstallDir");
		}

	if(m_sVc2005Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\8.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2005Path,"InstallDir");
		}

	if(m_sVc2005Path=="" || ExistFile(m_sVc2005Path)!=2)
		{
		m_sVc2005Path = "";
		EnableWindow(aIdDev2005,FALSE);
		if(m_iDebug ==DEV_2005)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2005)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2005)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2005] = 1;
		}




	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\9.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2008Path,"InstallDir");

	if(m_sVc2008Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\9.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2008Path,"InstallDir");
		}

	if(m_sVc2008Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\9.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2008Path,"InstallDir");
		}

	if(m_sVc2008Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\9.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2008Path,"InstallDir");
		}

	if(m_sVc2008Path=="" || ExistFile(m_sVc2008Path)!=2)
		{
		m_sVc2008Path = "";
		EnableWindow(aIdDev2008,FALSE);
		if(m_iDebug ==DEV_2008)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2008)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2008)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2008] = 1;
		}




	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\10.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2010Path,"InstallDir");

	if(m_sVc2010Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\10.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2010Path,"InstallDir");
		}

	if(m_sVc2010Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\10.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2010Path,"InstallDir");
		}

	if(m_sVc2010Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\10.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2010Path,"InstallDir");
		}

	if(m_sVc2010Path=="" || ExistFile(m_sVc2010Path)!=2)
		{
		m_sVc2010Path = "";
		EnableWindow(aIdDev2010,FALSE);
		if(m_iDebug ==DEV_2010)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2010)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2010)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2010] = 1;
		}



	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\11.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2012Path,"InstallDir");

	if(m_sVc2012Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\11.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2012Path,"InstallDir");
		}

	if(m_sVc2012Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\11.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2012Path,"InstallDir");
		}

	if(m_sVc2012Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\11.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2012Path,"InstallDir");
		}

	if(m_sVc2012Path=="" || ExistFile(m_sVc2012Path)!=2)
		{
		m_sVc2012Path = "";
		EnableWindow(aIdDev2012,FALSE);
		if(m_iDebug ==DEV_2012)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2012)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2012)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2012] = 1;
		}


	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\12.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2013Path,"InstallDir");

	if(m_sVc2013Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\12.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2013Path,"InstallDir");
		}

	if(m_sVc2013Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\12.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2013Path,"InstallDir");
		}

	if(m_sVc2013Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\12.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2013Path,"InstallDir");
		}

	if(m_sVc2013Path=="" || ExistFile(m_sVc2013Path)!=2)
		{
		m_sVc2013Path = "";
		EnableWindow(aIdDev2013,FALSE);
		if(m_iDebug ==DEV_2013)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2013)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2013)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2013] = 1;
		}


	sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\13.3",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (m_sVc2015Path,"InstallDir");

	if(m_sVc2015Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\13.2",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2015Path,"InstallDir");
		}

	if(m_sVc2015Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\13.1",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2015Path,"InstallDir");
		}

	if(m_sVc2015Path=="")
		{
		sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\VisualStudio\\13.0",CRK_READ|CRK_WOW64_32KEY);
		sKey.Get (m_sVc2015Path,"InstallDir");
		}

	if(m_sVc2015Path=="" || ExistFile(m_sVc2015Path)!=2)
		{
		m_sVc2015Path = "";
		EnableWindow(aIdDev2015,FALSE);
		if(m_iDebug ==DEV_2015)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2015)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2015)m_iCppHpp = DEV_NONE;
		}
	else{
		m_aVcExist[DEV_2015] = 1;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.8.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2005PathE=cText;
		m_aVcExist[DEV_2005_EX] = 1;
		}
	else{
		m_sVc2005PathE="";
		EnableWindow(aIdDev2005Ex,FALSE);
		if(m_iDebug ==DEV_2005_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2005_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2005_EX)m_iCppHpp = DEV_NONE;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.9.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2008PathE=cText;
		m_aVcExist[DEV_2008_EX] = 1;
		}
	else{
		m_sVc2008PathE="";
		EnableWindow(aIdDev2008Ex,FALSE);
		if(m_iDebug ==DEV_2008_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2008_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2008_EX)m_iCppHpp = DEV_NONE;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.10.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2010PathE=cText;
		m_aVcExist[DEV_2010_EX] = 1;
		}
	else{
		m_sVc2010PathE="";
		EnableWindow(aIdDev2010Ex,FALSE);
		if(m_iDebug ==DEV_2010_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2010_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2010_EX)m_iCppHpp = DEV_NONE;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.11.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2012PathE=cText;
		m_aVcExist[DEV_2012_EX] = 1;
		}
	else{
		m_sVc2012PathE="";
		EnableWindow(aIdDev2012Ex,FALSE);
		if(m_iDebug ==DEV_2012_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2012_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2012_EX)m_iCppHpp = DEV_NONE;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.12.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2013PathE=cText;
		m_aVcExist[DEV_2013_EX] = 1;
		}
	else{
		m_sVc2013PathE="";
		EnableWindow(aIdDev2013Ex,FALSE);
		if(m_iDebug ==DEV_2013_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2013_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2013_EX)m_iCppHpp = DEV_NONE;
		}


	cText[0]=0;
	sKey.Open(HKEY_CLASSES_ROOT,"VCExpress.i.13.0\\shell\\Open\\Command",CRK_READ|CRK_WOW64_32KEY);
	sKey.Get (cText,sizeof(cText),0);
	if(cText[0]=='"')strgetstr(cText,cText,sizeof(cText));

	if(ExistFile(cText)==1)
		{
		m_sVc2015PathE=cText;
		m_aVcExist[DEV_2015_EX] = 1;
		}
	else{
		m_sVc2015PathE="";
		EnableWindow(aIdDev2015Ex,FALSE);
		if(m_iDebug ==DEV_2015_EX)m_iDebug  = DEV_NONE;
		if(m_iDspDsw==DEV_2015_EX)m_iDspDsw = DEV_NONE;
		if(m_iCppHpp==DEV_2015_EX)m_iCppHpp = DEV_NONE;
		}


//******************** Prfe ob die EXE-Datei vorhanden sind ******************


	if(m_sVc60Path!="")
		{
		AddFileName (m_sVc60Path,"..\\..\\MSDev98\\Bin\\msdev.exe");
		MakeLongPath(m_sVc60Path,m_sVc60Path);

		if(ExistFile(m_sVc60Path)!=1)
			{
			m_sVc60Path="";
			EnableWindow(aIdDev60,FALSE);
			m_aVcExist[DEV_60] = 0;
			}
		}

	if(m_sVc2003Path!="")
		{
		AddFileName(m_sVc2003Path,"devenv.exe");

		if(ExistFile(m_sVc2003Path)!=1)
			{
			m_sVc2003Path="";
			m_aVcExist[DEV_2003] = 0;
			EnableWindow(aIdDev2003+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2003[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2003[0])->EnableWindow(FALSE);
				}
			}
		}

	if(m_sVc2005Path!="")
		{
		AddFileName(m_sVc2005Path,"devenv.exe");

		if(ExistFile(m_sVc2005Path)!=1)
			{
			m_sVc2005Path="";
			m_aVcExist[DEV_2005] = 0;
			EnableWindow(aIdDev2005+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2005[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2005[0])->EnableWindow(FALSE);
				}
			}
		}

	if(m_sVc2008Path!="")
		{
		AddFileName(m_sVc2008Path,"devenv.exe");

		if(ExistFile(m_sVc2008Path)!=1)
			{
			m_sVc2008Path="";
			m_aVcExist[DEV_2008] = 0;
			EnableWindow(aIdDev2008+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2008[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2008[0])->EnableWindow(FALSE);
				}
			}
		}

	if(m_sVc2010Path!="")
		{
		AddFileName(m_sVc2010Path,"devenv.exe");

		if(ExistFile(m_sVc2010Path)!=1)
			{
			m_sVc2010Path="";
			m_aVcExist[DEV_2010] = 0;
			EnableWindow(aIdDev2010+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2010[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2010[0])->EnableWindow(FALSE);
				}
			}
		}




	if(m_sVc2012Path!="")
		{
		AddFileName(m_sVc2012Path,"devenv.exe");

		if(ExistFile(m_sVc2012Path)!=1)
			{
			m_sVc2012Path="";
			m_aVcExist[DEV_2012] = 0;
			EnableWindow(aIdDev2012+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2012[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2012[0])->EnableWindow(FALSE);
				}
			}
		}




	if(m_sVc2013Path!="")
		{
		AddFileName(m_sVc2013Path,"devenv.exe");

		if(ExistFile(m_sVc2013Path)!=1)
			{
			m_sVc2013Path="";
			m_aVcExist[DEV_2013] = 0;
			EnableWindow(aIdDev2013+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2013[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2013[0])->EnableWindow(FALSE);
				}
			}
		}



	if(m_sVc2015Path!="")
		{
		AddFileName(m_sVc2015Path,"devenv.exe");

		if(ExistFile(m_sVc2015Path)!=1)
			{
			m_sVc2015Path="";
			m_aVcExist[DEV_2015] = 0;
			EnableWindow(aIdDev2015+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2015[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2015[0])->EnableWindow(FALSE);
				}
			}
		}



	if(m_sVc2005PathE!="")
		{
		if(ExistFile(m_sVc2005PathE)!=1)
			{
			m_sVc2005Path="";
			m_aVcExist[DEV_2005_EX] = 0;
			EnableWindow(aIdDev2005Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2005Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2005Ex[0])->EnableWindow(FALSE);
				}
			}
		}


	if(m_sVc2008PathE!="")
		{
		if(ExistFile(m_sVc2008PathE)!=1)
			{
			m_sVc2008Path="";
			m_aVcExist[DEV_2008_EX] = 0;
			EnableWindow(aIdDev2008Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2008Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2008Ex[0])->EnableWindow(FALSE);
				}
			}
		}


	if(m_sVc2010PathE!="")
		{
		if(ExistFile(m_sVc2010PathE)!=1)
			{
			m_sVc2010Path="";
			m_aVcExist[DEV_2010_EX] = 0;
			EnableWindow(aIdDev2010Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2010Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2010Ex[0])->EnableWindow(FALSE);
				}
			}
		}


	if(m_sVc2012PathE!="")
		{
		if(ExistFile(m_sVc2012PathE)!=1)
			{
			m_sVc2012Path="";
			m_aVcExist[DEV_2012_EX] = 0;
			EnableWindow(aIdDev2012Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2012Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2012Ex[0])->EnableWindow(FALSE);
				}
			}
		}


	if(m_sVc2013PathE!="")
		{
		if(ExistFile(m_sVc2013PathE)!=1)
			{
			m_sVc2013Path="";
			m_aVcExist[DEV_2013_EX] = 0;
			EnableWindow(aIdDev2013Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2013Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2013Ex[0])->EnableWindow(FALSE);
				}
			}
		}


	if(m_sVc2015PathE!="")
		{
		if(ExistFile(m_sVc2015PathE)!=1)
			{
			m_sVc2015Path="";
			m_aVcExist[DEV_2015_EX] = 0;
			EnableWindow(aIdDev2015Ex+1,FALSE);
			}

			sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\.NETFramework",CRK_READ|CRK_WOW64_32KEY);
		if(!sKey.Get (m_sVcNetDebugger,"DbgManagedDebugger"))
			{
			GetDlgItem(aIdDev2015Ex[0])->EnableWindow(FALSE);
			}
		else{
			pStr = m_sVcNetDebugger;

			if(pStr[0]!='"')
				{
				iLen=strcwlen(pStr,0xA0);
				}
			else{
				pStr++;
				iLen=strchar(pStr,'"');
				}

			strlcpy(cText,pStr,sizeof(cText),iLen);
			m_sVcNetDebugger=cText;

			if(ExistFile(m_sVcNetDebugger)!=1)
				{
				m_sVcNetDebugger="";
				GetDlgItem(aIdDev2015Ex[0])->EnableWindow(FALSE);
				}
			}
		}



//******************** Prfe Debugger Einstellungen ***************************

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_READ|CRK_WOW64_32KEY);
	if(!sKey.Get (sDebugger,"Debugger"))
		{
		m_iDebug=DEV_NONE;
		}
	else{
			 if(strifind(sDebugger,"msdev.exe"		        )!=-1)m_iDebug=DEV_60;
		else if(strifind(sDebugger,"vs7jit.exe"		        )!=-1)m_iDebug=DEV_2005;
		else if(strifind(sDebugger,"DevelopmentSwitcher.exe")!=-1)m_iDebug=DEV_SELECT;
		else if(strifind(sDebugger,"vsjitdebugger.exe"      )!=-1)
			{
								 m_iDebug=DEV_NONE;
			if(m_sVc2003Path!="")m_iDebug=DEV_2003;
			if(m_sVc2005Path!="")m_iDebug=DEV_2005;
			if(m_sVc2008Path!="")m_iDebug=DEV_2008;
			if(m_sVc2010Path!="")m_iDebug=DEV_2010;
			if(m_sVc2012Path!="")m_iDebug=DEV_2012;
			if(m_sVc2013Path!="")m_iDebug=DEV_2013;
			if(m_sVc2015Path!="")m_iDebug=DEV_2015;
			}
		else{
			m_iDebug=DEV_NONE;
			}
		}

	for(i=0;i<sizeof(m_aVcExist);i++)
		{
		if(i==DEV_60)continue;
		if(m_aVcExist[i])break;
		}
	
	if(!m_aVcExist[DEV_60] || i>=sizeof(m_aVcExist))
		{
		EnableWindow(aIdDevSelect,FALSE);
		if(m_iDebug==DEV_SELECT)m_iDebug = DEV_NONE;
		}
	

//******************** Prfe File Links ***************************************



			iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"open");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open with MSDev");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"&Open with MSDev");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.13.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.13.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.13.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.13.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.12.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.12.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.12.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.12.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.11.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.11.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.11.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.11.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.10.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.10.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.10.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.10.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.9.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.9.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.9.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.9.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.8.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.8.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.8.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.8.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.7.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.7.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"Open.VisualStudio.7.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.13.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.13.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.13.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.13.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.12.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.12.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.12.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.12.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.11.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.11.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.11.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.11.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.10.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.10.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.10.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.10.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.9.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.9.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.9.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.9.0");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.8.3");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.8.2");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.8.1");
	if(!iOk)iOk=ConfigFileCmdGet("cpp",cCmd,sizeof(cCmd),"VCExpress.cpp.8.0");
	if(!iOk)
		{
		m_iCppHpp=DEV_NONE;
		}
	else{
		if(cCmd[0]=='"')strgetstr(cCmd,cCmd,sizeof(cCmd));

			 if(strifind(cCmd,"msdev.exe"    )!=-1)m_iCppHpp=DEV_60;
		else if(strifind(cCmd,"vcexpress.exe")!=-1)
			{
			     if(m_sVc2015PathE!="" && !CmpFileName(m_sVc2010PathE,cCmd))m_iCppHpp=DEV_2015_EX;
			else if(m_sVc2013PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iCppHpp=DEV_2013_EX;
			else if(m_sVc2012PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iCppHpp=DEV_2012_EX;
			else if(m_sVc2010PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iCppHpp=DEV_2010_EX;
			else if(m_sVc2008PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iCppHpp=DEV_2008_EX;
			else if(m_sVc2005PathE!="" && !CmpFileName(m_sVc2005PathE,cCmd))m_iCppHpp=DEV_2005_EX;
			else{
					 if(m_sVc2015Path!="")m_iCppHpp=DEV_2015;
				else if(m_sVc2013Path!="")m_iCppHpp=DEV_2013;
				else if(m_sVc2012Path!="")m_iCppHpp=DEV_2012;
				else if(m_sVc2010Path!="")m_iCppHpp=DEV_2010;
				else if(m_sVc2008Path!="")m_iCppHpp=DEV_2008;
				else					  m_iCppHpp=DEV_2005;
				}
			}
		else if(strifind(cCmd,"devenv.exe"   )!=-1)
			{
			     if(m_sVc2015Path!="" && !CmpFileName(m_sVc2010Path,cCmd))m_iCppHpp=DEV_2015;
			else if(m_sVc2013Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iCppHpp=DEV_2013;
			else if(m_sVc2012Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iCppHpp=DEV_2012;
			else if(m_sVc2010Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iCppHpp=DEV_2010;
			else if(m_sVc2008Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iCppHpp=DEV_2008;
			else if(m_sVc2005Path!="" && !CmpFileName(m_sVc2005Path,cCmd))m_iCppHpp=DEV_2005;
			else if(m_sVc2003Path!="" && !CmpFileName(m_sVc2003Path,cCmd))m_iCppHpp=DEV_2003;
			else{
					 if(m_sVc2015Path!="")m_iCppHpp=DEV_2015;
				else if(m_sVc2013Path!="")m_iCppHpp=DEV_2013;
				else if(m_sVc2012Path!="")m_iCppHpp=DEV_2012;
				else if(m_sVc2010Path!="")m_iCppHpp=DEV_2010;
				else if(m_sVc2008Path!="")m_iCppHpp=DEV_2008;
				else if(m_sVc2005Path!="")m_iCppHpp=DEV_2005;
				else                      m_iCppHpp=DEV_2003;
				}
			}
		}

			iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"open");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open with MSDev");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"&Open with MSDev");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.13.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.13.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.13.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.13.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.12.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.12.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.12.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.12.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.11.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.11.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.11.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.11.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.10.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.10.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.10.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.10.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.9.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.9.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.9.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.9.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.8.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.8.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.8.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.8.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.7.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.7.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"Open.VisualStudio.7.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.13.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.13.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.13.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.13.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.12.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.12.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.12.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.12.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.11.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.11.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.11.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.11.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.10.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.10.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.10.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.10.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.9.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.9.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.9.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.9.0");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.8.3");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.8.2");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.8.1");
	if(!iOk)iOk=ConfigFileCmdGet("dsw",cCmd,sizeof(cCmd),"VCExpress.dsw.8.0");
	if(!iOk)
		{
		m_iDspDsw=DEV_NONE;
		}
	else{
		if(cCmd[0]=='"')strgetstr(cCmd,cCmd,sizeof(cCmd));

			 if(strifind(cCmd,"msdev.exe"    )!=-1)m_iDspDsw=DEV_60;
		else if(strifind(cCmd,"vcexpress.exe")!=-1)
			{
			     if(m_sVc2015PathE!="" && !CmpFileName(m_sVc2010PathE,cCmd))m_iDspDsw=DEV_2015_EX;
			else if(m_sVc2013PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iDspDsw=DEV_2013_EX;
			else if(m_sVc2012PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iDspDsw=DEV_2012_EX;
			else if(m_sVc2010PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iDspDsw=DEV_2010_EX;
			else if(m_sVc2008PathE!="" && !CmpFileName(m_sVc2008PathE,cCmd))m_iDspDsw=DEV_2008_EX;
			else if(m_sVc2005PathE!="" && !CmpFileName(m_sVc2005PathE,cCmd))m_iDspDsw=DEV_2005_EX;
			else{
					 if(m_sVc2015Path!="")m_iDspDsw=DEV_2015;
				else if(m_sVc2013Path!="")m_iDspDsw=DEV_2013;
				else if(m_sVc2012Path!="")m_iDspDsw=DEV_2012;
				else if(m_sVc2010Path!="")m_iDspDsw=DEV_2010;
				else if(m_sVc2008Path!="")m_iDspDsw=DEV_2008;
				else					  m_iDspDsw=DEV_2005;
				}
			}
		else if(strifind(cCmd,"devenv.exe"   )!=-1)
			{
			     if(m_sVc2015Path!="" && !CmpFileName(m_sVc2010Path,cCmd))m_iDspDsw=DEV_2015;
			else if(m_sVc2013Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iDspDsw=DEV_2013;
			else if(m_sVc2012Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iDspDsw=DEV_2012;
			else if(m_sVc2010Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iDspDsw=DEV_2010;
			else if(m_sVc2008Path!="" && !CmpFileName(m_sVc2008Path,cCmd))m_iDspDsw=DEV_2008;
			else if(m_sVc2005Path!="" && !CmpFileName(m_sVc2005Path,cCmd))m_iDspDsw=DEV_2005;
			else if(m_sVc2003Path!="" && !CmpFileName(m_sVc2003Path,cCmd))m_iDspDsw=DEV_2003;
			else{
					 if(m_sVc2015Path!="")m_iDspDsw=DEV_2015;
				else if(m_sVc2013Path!="")m_iDspDsw=DEV_2013;
				else if(m_sVc2012Path!="")m_iDspDsw=DEV_2012;
				else if(m_sVc2010Path!="")m_iDspDsw=DEV_2010;
				else if(m_sVc2008Path!="")m_iDspDsw=DEV_2008;
				else if(m_sVc2005Path!="")m_iDspDsw=DEV_2005;
				else                      m_iDspDsw=DEV_2003;
				}
			}
		}

//*****************************************************************************


	CDialog::OnInitDialog();

	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT( IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if(pSysMenu != NULL)
		{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
			{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
			}
		}

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon



return TRUE;
}

//*****************************************************************************
//*
//*		EnableWindow
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::EnableWindow(unsigned *pIds,BOOL bOn)
{
	while(*pIds)
		{
		GetDlgItem(*pIds)->EnableWindow(bOn);
		pIds++;
		}
}

//*****************************************************************************
//*
//*		OnSysCommand
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if((nID&0xFFF0) == IDM_ABOUTBOX)
		{
		CDialog dlgAbout(IDD_ABOUTBOX);

		dlgAbout.DoModal();
		}
	else{
		CDialog::OnSysCommand(nID, lParam);
		}
}


//*****************************************************************************
//*
//*		OnPaint
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::OnPaint()
{
	if(IsIconic())
		{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
		}
	else{
		CDialog::OnPaint();
		}
}


//*****************************************************************************
//*
//*		OnQueryDragIcon
//*
//*****************************************************************************
HCURSOR CDevelopmentSwitcherDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



//*****************************************************************************
//*
//*		DeleteCmd
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::DeleteCmd(const char *pCmd)
{
char	cText[64];

		ConfigFileDeleteCmd(pCmd,"open");
		ConfigFileDeleteCmd(pCmd,"&Open with MSDev");
		ConfigFileDeleteCmd(pCmd,"Open with MSDev");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.7.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.7.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.7.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.8.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.8.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.8.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.8.3");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.9.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.9.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.9.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.9.3");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.10.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.10.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.10.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.10.3");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.11.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.11.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.11.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.11.3");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.12.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.12.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.12.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.12.3");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.13.0");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.13.1");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.13.2");
		ConfigFileDeleteCmd(pCmd,"Open.VisualStudio.13.3");

		sprintf(cText,"VCExpress.%s.8.0" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.8.1" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.8.2" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.8.3" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.9.0" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.9.1" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.9.2" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.9.3" ,pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.10.0",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.10.1",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.10.2",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.10.3",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.11.0",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.11.1",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.11.2",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.11.3",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.12.0",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.12.1",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.12.2",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.12.3",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.13.0",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.13.1",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.13.2",pCmd);	ConfigFileDeleteCmd(pCmd,cText);
		sprintf(cText,"VCExpress.%s.13.3",pCmd);	ConfigFileDeleteCmd(pCmd,cText);


}


//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CDevelopmentSwitcherDlg::OnOK()
{
char		cText[256];
char		cPath[256];
char		cTemp[256];
CRegKeys	sKey;


	UpdateData();

	if(m_iDebug==DEV_60 && m_sVc60Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVc60Path		,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2003 && m_sVcNetDebugger!="" && m_sVc2003Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2005 && m_sVcNetDebugger!="" && m_sVc2005Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2008 && m_sVcNetDebugger!="" && m_sVc2008Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2010 && m_sVcNetDebugger!="" && m_sVc2010Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2012 && m_sVcNetDebugger!="" && m_sVc2012Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2013 && m_sVcNetDebugger!="" && m_sVc2013Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2015 && m_sVcNetDebugger!="" && m_sVc2015Path!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2005_EX && m_sVcNetDebugger!="" && m_sVc2005PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2008_EX && m_sVcNetDebugger!="" && m_sVc2008PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2010_EX && m_sVcNetDebugger!="" && m_sVc2010PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2012_EX && m_sVcNetDebugger!="" && m_sVc2012PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2013_EX && m_sVcNetDebugger!="" && m_sVc2013PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_iDebug==DEV_2015_EX && m_sVcNetDebugger!="" && m_sVc2015PathE!="")
		{
		strlcpy(cText,"\""				,sizeof(cText));
		strlcat(cText,m_sVcNetDebugger	,sizeof(cText));
		strlcat(cText,"\" -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText,"Debugger");
		sKey.Del (      "DebuggerVC60");
		sKey.Del (      "Debugger.NET");
		}

	if(m_sVcNetDebugger.IsEmpty() && ExistFile("C:\\Windows\\system32\\vsjitdebugger.exe"))
		{
		m_sVcNetDebugger = "C:\\Windows\\system32\\vsjitdebugger.exe";
		}
	

	if(m_iDebug==DEV_SELECT && m_sVcNetDebugger!="" && m_sVc60Path!="")
		{
		GetExeName(cPath,sizeof(cPath)); 

		if(cPath[0] && cPath[1]!=':')					// Ist es ein lokales Laufwerk
			{
			if(ExistFile("D:\\Programme\\AZ-Tools\\Diverse"))
				{
				strcpy(cTemp,"D:\\Programme\\AZ-Tools\\Diverse\\DevelopmentSwitcher.exe");
				}
			else if(ExistFile("C:\\Programme\\AZ-Tools\\Diverse"))
				{
				strcpy(cTemp,"C:\\Programme\\AZ-Tools\\Diverse\\DevelopmentSwitcher.exe");
				}
			else{
				CreatePath("C:\\Programme\\AZ-Tools\\Diverse");
				strcpy(cTemp,"C:\\Programme\\AZ-Tools\\Diverse\\DevelopmentSwitcher.exe");
				}

			CopyFile(cPath,cTemp,TRUE);
			
			if(ExistFile(cTemp)==1)
				{
				strcpy(cPath,cTemp);
				}
			}

		strlcpy(cText,"\""			 	   ,sizeof(cText));
		strlcat(cText,cPath			 	   ,sizeof(cText));
		strlcat(cText,"\" -d -p %ld -e %ld",sizeof(cText));

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_64KEY);
		sKey.Set (cText		      ,"Debugger");
		sKey.Set (m_sVc60Path     ,"DebuggerVC60");
		sKey.Set (m_sVcNetDebugger,"Debugger.NET");
		sKey.Set ("1"	          ,"Auto");

	    sKey.Open(HKEY_LOCAL_MACHINE,"SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\AeDebug",CRK_CREATE|CRK_WOW64_32KEY);
		sKey.Set (cText		      ,"Debugger");
		sKey.Set (m_sVc60Path     ,"DebuggerVC60");
		sKey.Set (m_sVcNetDebugger,"Debugger.NET");
		sKey.Set ("1"	          ,"Auto");
		}


	
	if(m_iDspDsw==DEV_60 && m_sVc60Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc60Path,"open");
		ConfigFileCommand("dsp",m_sVc60Path,"open");
		}

	if(m_iDspDsw==DEV_2003 && m_sVc2003Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2003Path,"Open.VisualStudio.7.0");
		ConfigFileCommand("dsp",m_sVc2003Path,"Open.VisualStudio.7.0");
		}

	if(m_iDspDsw==DEV_2005 && m_sVc2005Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2005Path,"Open.VisualStudio.8.0");
		ConfigFileCommand("dsp",m_sVc2005Path,"Open.VisualStudio.8.0");
		}

	if(m_iDspDsw==DEV_2008 && m_sVc2008Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2008Path,"Open.VisualStudio.8.0");
		ConfigFileCommand("dsp",m_sVc2008Path,"Open.VisualStudio.8.0");
		}

	if(m_iDspDsw==DEV_2010 && m_sVc2010Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2010Path,"Open.VisualStudio.10.0");
		ConfigFileCommand("dsp",m_sVc2010Path,"Open.VisualStudio.10.0");
		}

	if(m_iDspDsw==DEV_2012 && m_sVc2012Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2012Path,"Open.VisualStudio.11.0");
		ConfigFileCommand("dsp",m_sVc2012Path,"Open.VisualStudio.11.0");
		}

	if(m_iDspDsw==DEV_2013 && m_sVc2013Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2013Path,"Open.VisualStudio.12.0");
		ConfigFileCommand("dsp",m_sVc2013Path,"Open.VisualStudio.12.0");
		}

	if(m_iDspDsw==DEV_2015 && m_sVc2015Path!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2015Path,"Open.VisualStudio.13.0");
		ConfigFileCommand("dsp",m_sVc2015Path,"Open.VisualStudio.13.0");
		}

	if(m_iDspDsw==DEV_2005_EX && m_sVc2005PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2005PathE,"open");
		ConfigFileCommand("dsp",m_sVc2005PathE,"open");
		}

	if(m_iDspDsw==DEV_2008_EX && m_sVc2008PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2008PathE,"open");
		ConfigFileCommand("dsp",m_sVc2008PathE,"open");
		}

	if(m_iDspDsw==DEV_2010_EX && m_sVc2010PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2010PathE,"open");
		ConfigFileCommand("dsp",m_sVc2010PathE,"open");
		}

	if(m_iDspDsw==DEV_2012_EX && m_sVc2012PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2012PathE,"open");
		ConfigFileCommand("dsp",m_sVc2012PathE,"open");
		}

	if(m_iDspDsw==DEV_2013_EX && m_sVc2013PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2013PathE,"open");
		ConfigFileCommand("dsp",m_sVc2013PathE,"open");
		}

	if(m_iDspDsw==DEV_2015_EX && m_sVc2015PathE!="")
		{
		DeleteCmd("dsw");
		DeleteCmd("dsp");

		ConfigFileCommand("dsw",m_sVc2015PathE,"open");
		ConfigFileCommand("dsp",m_sVc2015PathE,"open");
		}



	if(m_iCppHpp==DEV_60 && m_sVc60Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc60Path,"open");
		ConfigFileCommand("hpp",m_sVc60Path,"open");
		ConfigFileCommand("c"  ,m_sVc60Path,"open");
		ConfigFileCommand("h"  ,m_sVc60Path,"open");
		}


	if(m_iCppHpp==DEV_2003 && m_sVc2003Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2005Path,"Open.VisualStudio.7.0");
		ConfigFileCommand("hpp",m_sVc2005Path,"Open.VisualStudio.7.0");
		ConfigFileCommand("c"  ,m_sVc2005Path,"Open.VisualStudio.7.0");
		ConfigFileCommand("h"  ,m_sVc2005Path,"Open.VisualStudio.7.0");
		}

	if(m_iCppHpp==DEV_2005 && m_sVc2005Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2005Path,"Open.VisualStudio.8.0");
		ConfigFileCommand("hpp",m_sVc2005Path,"Open.VisualStudio.8.0");
		ConfigFileCommand("c"  ,m_sVc2005Path,"Open.VisualStudio.8.0");
		ConfigFileCommand("h"  ,m_sVc2005Path,"Open.VisualStudio.8.0");
		}

	if(m_iCppHpp==DEV_2008 && m_sVc2008Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2008Path,"Open.VisualStudio.9.0");
		ConfigFileCommand("hpp",m_sVc2008Path,"Open.VisualStudio.9.0");
		ConfigFileCommand("c"  ,m_sVc2008Path,"Open.VisualStudio.9.0");
		ConfigFileCommand("h"  ,m_sVc2008Path,"Open.VisualStudio.9.0");
		}

	if(m_iCppHpp==DEV_2010 && m_sVc2010Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2010Path,"Open.VisualStudio.10.0");
		ConfigFileCommand("hpp",m_sVc2010Path,"Open.VisualStudio.10.0");
		ConfigFileCommand("c"  ,m_sVc2010Path,"Open.VisualStudio.10.0");
		ConfigFileCommand("h"  ,m_sVc2010Path,"Open.VisualStudio.10.0");
		}

	if(m_iCppHpp==DEV_2012 && m_sVc2012Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2012Path,"Open.VisualStudio.11.0");
		ConfigFileCommand("hpp",m_sVc2012Path,"Open.VisualStudio.11.0");
		ConfigFileCommand("c"  ,m_sVc2012Path,"Open.VisualStudio.11.0");
		ConfigFileCommand("h"  ,m_sVc2012Path,"Open.VisualStudio.11.0");
		}

	if(m_iCppHpp==DEV_2013 && m_sVc2013Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2013Path,"Open.VisualStudio.12.0");
		ConfigFileCommand("hpp",m_sVc2013Path,"Open.VisualStudio.12.0");
		ConfigFileCommand("c"  ,m_sVc2013Path,"Open.VisualStudio.12.0");
		ConfigFileCommand("h"  ,m_sVc2013Path,"Open.VisualStudio.12.0");
		}

	if(m_iCppHpp==DEV_2015 && m_sVc2015Path!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2015Path,"Open.VisualStudio.13.0");
		ConfigFileCommand("hpp",m_sVc2015Path,"Open.VisualStudio.13.0");
		ConfigFileCommand("c"  ,m_sVc2015Path,"Open.VisualStudio.13.0");
		ConfigFileCommand("h"  ,m_sVc2015Path,"Open.VisualStudio.13.0");
		}

	if(m_iCppHpp==DEV_2005_EX && m_sVc2005PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2005PathE,"Open.VisualStudio.8.0");
		ConfigFileCommand("hpp",m_sVc2005PathE,"Open.VisualStudio.8.0");
		ConfigFileCommand("c"  ,m_sVc2005PathE,"Open.VisualStudio.8.0");
		ConfigFileCommand("h"  ,m_sVc2005PathE,"Open.VisualStudio.8.0");
		}

	if(m_iCppHpp==DEV_2008_EX && m_sVc2008PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2008PathE,"Open.VisualStudio.9.0");
		ConfigFileCommand("hpp",m_sVc2008PathE,"Open.VisualStudio.9.0");
		ConfigFileCommand("c"  ,m_sVc2008PathE,"Open.VisualStudio.9.0");
		ConfigFileCommand("h"  ,m_sVc2008PathE,"Open.VisualStudio.9.0");
		}

	if(m_iCppHpp==DEV_2010_EX && m_sVc2010PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2010PathE,"Open.VisualStudio.10.0");
		ConfigFileCommand("hpp",m_sVc2010PathE,"Open.VisualStudio.10.0");
		ConfigFileCommand("c"  ,m_sVc2010PathE,"Open.VisualStudio.10.0");
		ConfigFileCommand("h"  ,m_sVc2010PathE,"Open.VisualStudio.10.0");
		}

	if(m_iCppHpp==DEV_2012_EX && m_sVc2012PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2012PathE,"Open.VisualStudio.11.0");
		ConfigFileCommand("hpp",m_sVc2012PathE,"Open.VisualStudio.11.0");
		ConfigFileCommand("c"  ,m_sVc2012PathE,"Open.VisualStudio.11.0");
		ConfigFileCommand("h"  ,m_sVc2012PathE,"Open.VisualStudio.11.0");
		}

	if(m_iCppHpp==DEV_2013_EX && m_sVc2013PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2013PathE,"Open.VisualStudio.12.0");
		ConfigFileCommand("hpp",m_sVc2013PathE,"Open.VisualStudio.12.0");
		ConfigFileCommand("c"  ,m_sVc2013PathE,"Open.VisualStudio.12.0");
		ConfigFileCommand("h"  ,m_sVc2013PathE,"Open.VisualStudio.12.0");
		}

	if(m_iCppHpp==DEV_2015_EX && m_sVc2015PathE!="")
		{
		DeleteCmd("cpp");
		DeleteCmd("hpp");
		DeleteCmd("c");
		DeleteCmd("h");

		ConfigFileCommand("cpp",m_sVc2015PathE,"Open.VisualStudio.13.0");
		ConfigFileCommand("hpp",m_sVc2015PathE,"Open.VisualStudio.13.0");
		ConfigFileCommand("c"  ,m_sVc2015PathE,"Open.VisualStudio.13.0");
		ConfigFileCommand("h"  ,m_sVc2015PathE,"Open.VisualStudio.13.0");
		}




CDialog::OnOK();
}

