//*****************************************************************************
//*
//*
//*		SelectDialog.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"developmentswitcher.h"
#include	"SelectDialog.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

#define 	 ID_ADDITEM		0x0040


BEGIN_MESSAGE_MAP(CSelectDialog, CDialog)
	//{{AFX_MSG_MAP(CSelectDialog)
	ON_BN_CLICKED(IDSELJIT, OnSelJit)
	ON_WM_SYSCOMMAND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  CSelectDialog Dialog
CSelectDialog::CSelectDialog(CWnd *pParent): CDialog(CSelectDialog::IDD,pParent)
{
	//{{AFX_DATA_INIT(CSelectDialog)
	m_sInfoText = _T("");
	//}}AFX_DATA_INIT

	m_iDefaultButton = 0;
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CSelectDialog::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectDialog)
	DDX_Text(pDX, IDC_EDIT1, m_sInfoText);
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
//  CSelectDialog message handlers
BOOL CSelectDialog::OnInitDialog()
{
CHAR		cName[32];
CString		sItem;
CMenu      *pMenu;
CRegKeys	sKey;		
UINT		uPos;


	CDialog::OnInitDialog();

	m_hIcon	= LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDR_MAINFRAME));

	SetIcon(m_hIcon,FALSE);
	SetIcon(m_hIcon,TRUE);

	m_iLastItem = 0;

	if(sKey.Open(HKEY_LOCAL_MACHINE,"Software\\AZ\\DevelopmentSwitcher",CRK_READ))
		{
		for(uPos=0;uPos<1000;uPos++)
			{
			sprintf(cName,"Ignore%03u",uPos);
			if(!sKey.Get(sItem,cName))
				{
				m_iLastItem = uPos;
				break;
				}
			if(CmpFileName(m_sPath,sItem))continue;
			OnCancel();
			break;
			}
		}
	

	if(m_iDefaultButton)SetDlgDefID(IDSELJIT);

	ForceWindowToTop(this);

	pMenu = GetSystemMenu(FALSE);
	pMenu->AppendMenu(MF_SEPARATOR);
	pMenu->AppendMenu(MF_STRING,ID_ADDITEM,"Ignoriere diese Datei");


return TRUE;
}

//*****************************************************************************
//*
//*		OnSysCommand
//*
//*****************************************************************************
void CSelectDialog::OnSysCommand(UINT nID,LPARAM lParam)
{

	if((nID&0xFFF0)==ID_ADDITEM)
		{
		OnIgnore();
		return;
		}

	CDialog::OnSysCommand(nID,lParam);
}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CSelectDialog::OnCancel()
{

	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CSelectDialog::OnOK()
{

	CDialog::OnOK();
}

//*****************************************************************************
//*
//*		OnSelJit
//*
//*****************************************************************************
void CSelectDialog::OnSelJit() 
{
	EndDialog(IDSELJIT);

}

//*****************************************************************************
//*
//*		OnSelJit
//*
//*****************************************************************************
void CSelectDialog::OnIgnore() 
{
CHAR		cName[32];
CRegKeys	sKey;		


	if(sKey.Open(HKEY_LOCAL_MACHINE,"Software\\AZ\\DevelopmentSwitcher"))
		{
		sprintf(cName,"Ignore%03u",m_iLastItem);
		sKey.Set(m_sPath,cName);
		}

	OnCancel();
}

